Attribute VB_Name = "Module1"
Public Enum ROOT_KEYS
       HKEY_CLASSES_ROOT = &H80000000
       HKEY_CURRENT_USER = &H80000001
       HKEY_LOCAL_MACHINE = &H80000002
       HKEY_USERS = &H80000003
       HKEY_PERFORMANCE_DATA = &H80000004
       HKEY_CURRENT_CONFIG = &H80000005
       HKEY_DYN_DATA = &H80000006
End Enum

Public Enum NOTIFY_EVENTS
       REG_NOTIFY_CHANGE_NAME = &H1
       REG_NOTIFY_CHANGE_ATTRIBUTES = &H2
       REG_NOTIFY_CHANGE_LAST_SET = &H4
       REG_NOTIFY_CHANGE_SECURITY = &H8
End Enum

Private Declare Function RegNotifyChangeKeyValue Lib "advapi32" (ByVal hKey As Long, ByVal bWatchSubTree As Boolean, ByVal dwNotifyFilter As Long, ByVal hEvent As Long, ByVal fAsynchronous As Boolean) As Long
Private Declare Function RegOpenKey Lib "advapi32.dll" Alias "RegOpenKeyA" (ByVal hKey As Long, ByVal lpSubKey As String, phkResult As Long) As Long
Private Declare Function RegCloseKey Lib "advapi32.dll" (ByVal hKey As Long) As Long

Public Sub RegMonitor(hKey As ROOT_KEYS, sRegKeyPath As String, bWatchSubTree As Boolean, dwFilters As NOTIFY_EVENTS)
   Dim lKeyHandle As Long, lRet As Long
   lRet = RegOpenKey(hKey, sRegKeyPath, lKeyHandle)
   RegNotifyChangeKeyValue lKeyHandle, bWatchSubTree, dwFilters, 0&, False
   lRet = RegCloseKey(lKeyHandle)
End Sub
